Package com.io7m.jcamera

# Class JCameraRotationCoefficients.Builder

java.lang.Object
com.io7m.jcamera.JCameraRotationCoefficients.Builder

Enclosing class:
  JCameraRotationCoefficients

public static final class JCameraRotationCoefficients.Builder extends Object
Builds instances of type `JCameraRotationCoefficients`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `JCameraRotationCoefficients`
  `build()`
  Builds a new `JCameraRotationCoefficients`.
  `final JCameraRotationCoefficients.Builder`
  `from(JCameraRotationCoefficientsMutable instance)`
  Fill a builder with attribute values from the provided `JCameraRotationCoefficientsMutable` instance.
  `final JCameraRotationCoefficients.Builder`
  `from(JCameraRotationCoefficientsType instance)`
  Fill a builder with attribute values from the provided `JCameraRotationCoefficientsType` instance.
  `final JCameraRotationCoefficients.Builder`
  `setHorizontal(double horizontal)`
  Initializes the value for the `horizontal` attribute.
  `final JCameraRotationCoefficients.Builder`
  `setVertical(double vertical)`
  Initializes the value for the `vertical` attribute.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final JCameraRotationCoefficients.Builder from(JCameraRotationCoefficientsMutable instance)
    Fill a builder with attribute values from the provided `JCameraRotationCoefficientsMutable` instance.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### from

    public final JCameraRotationCoefficients.Builder from(JCameraRotationCoefficientsType instance)
    Fill a builder with attribute values from the provided `JCameraRotationCoefficientsType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### setHorizontal

    public final JCameraRotationCoefficients.Builder setHorizontal(double horizontal)
    Initializes the value for the `horizontal` attribute.

    If not set, this attribute will have a default value as returned by the initializer of `horizontal`.

    Parameters:
      `horizontal` - The value for horizontal
    Returns:
      `this` builder for use in a chained invocation

  - ### setVertical

    public final JCameraRotationCoefficients.Builder setVertical(double vertical)
    Initializes the value for the `vertical` attribute.

    If not set, this attribute will have a default value as returned by the initializer of `vertical`.

    Parameters:
      `vertical` - The value for vertical
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public JCameraRotationCoefficients build()
    Builds a new `JCameraRotationCoefficients`.
    Returns:
      An immutable instance of JCameraRotationCoefficients
    Throws:
      `IllegalStateException` - if any required attributes are missing